Bug 1020014 - Review Request: python-pylcdsysinfo - Python interface to Coldtears Electronics LCD Sys Info device
Review Request: python-pylcdsysinfo - Python interface to Coldtears Electroni...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-10-16 15:08 EDT by Johan Swensson
Modified: 2013-11-10 02:33 EST (History)
3 users (show)

See Also:
Fixed In Version: python-pylcdsysinfo-0-0.8.20131014git.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-10 02:33:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Johan Swensson 2013-10-16 15:08:40 EDT
Spec URL: http://kupo.se/pub/review/pylcdsysinfo.spec
SRPM URL: http://kupo.se/pub/review/pylcdsysinfo-0.0.1-5.20131014git98e1b80.fc19.src.rpm
Description: LCD Sys Info is an USB LCD gadget which display system and environmental information or pictures from your computer.

Fedora Account System Username: opuk
Comment 1 Johan Swensson 2013-10-16 15:47:12 EDT
Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=6066487
Comment 2 Christopher Meng 2013-10-17 11:12:09 EDT
A template of mine:


1. BuildRequires:  python2-devel


BuildRequires:  python-setuptools

2. No %build? Kidding?

%{__python2} setup.py build

3. Ask upstream to tag their project.
Comment 4 Till Maas 2013-10-20 17:09:44 EDT
It seems to me that the version is made up, because upstream does not provide one. Please use "0" then instead of "0.0.1" - "0" is afaik the lowest possible version.

Also the release should be formed like 0.%{X}.%{alphatag}, because it is a pre-release (see the kismet example):
Comment 5 Johan Swensson 2013-10-21 07:30:22 EDT
Spec URL: http://kupo.se/pub/review/pylcdsysinfo.spec
SRPM URL: http://kupo.se/pub/review/pylcdsysinfo-0-0.7.20131014git.fc19.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6083347

* Mon Oct 21 2013 Johan Swensson <kupo@kupo.se> - 0-0.7.20131014git
- Changed version string to comply with guidelines
- Updated changelog entires to reflect the corrected version string
Comment 6 Johan Swensson 2013-10-23 01:29:36 EDT
Hm, come of think of it I probably should have named this package python-pylcdsysinfo. I'll wait for feedback before doing anything.
Comment 7 Michael Schwendt 2013-10-23 07:16:29 EDT
Yes, the modern naming guidelines mandate the "python-" prefix for the %{parent}-%{child} relationship when it's a Python Module.



There used to be an exception for projects with a "py" or "Py" prefix, but it has been removed, albeit incompletely, see:
Comment 8 Johan Swensson 2013-10-23 08:16:16 EDT
What would be the preferred way to do this? Close this review and file a new one with the correct name or simply rename it and post the new SRPM and spec in this review?
Comment 9 Christopher Meng 2013-10-23 08:19:04 EDT
Just change it here is OK.

Avoid creating dups again ;)
Comment 10 Michael Schwendt 2013-10-23 12:13:23 EDT
The ticket title can be edited, too, so renaming during review is possible.
Comment 11 Michael Schwendt 2013-10-23 15:10:33 EDT
One of the most helpful things about the fedora-review tool is its "license check" feature:

  GPL (v3 or later)

Same for USAGE.txt. That would be "License: GPLv3+" in the spec file, but the README.md at the bottom says "GPL v3", so asking for clarification would be justified.

Upstream git mentions fixes for Python 3. Is it Python 2 only so far? Or does it work with Python 3 yet? If so, a python3-* subpackage could be built.

I do not possess the hardware to test with, so for the optional run-time testing I've only verified that module imports.
Comment 12 Johan Swensson 2013-10-23 16:19:46 EDT
I will check that with upstream.

Upstream does support Python 3, however the required pyusb is not packaged for Python 3 yet. I have pinged the maintainer of that package recently asking to add support for it. I will file a bugzilla about it.
Comment 13 Johan Swensson 2013-10-24 05:02:23 EDT
Upstream says license is GPLv3 only.
Package is now renamed.

Spec URL: http://kupo.se/pub/review/python-pylcdsysinfo.spec
SRPM URL: http://kupo.se/pub/review/python-pylcdsysinfo-0-0.8.20131014git.fc19.src.rpm
Comment 14 Johan Swensson 2013-10-24 05:07:47 EDT
(In reply to Johan Swensson from comment #12)
>  I will file a bugzilla about it.

Comment 15 Michael Schwendt 2013-10-24 16:51:26 EDT
That's a clean update (judging about it based on the diff).

Comment 16 Johan Swensson 2013-10-25 08:14:02 EDT
New Package SCM Request
Package Name: python-pylcdsysinfo
Short Description: Python interface to Coldtears Electronics LCD Sys Info device
Owners: opuk
Branches: f18 f19 f20
Comment 17 Gwyn Ciesla 2013-10-25 08:36:22 EDT
Git done (by process-git-requests).
Comment 18 Fedora Update System 2013-10-29 16:38:36 EDT
python-pylcdsysinfo-0-0.8.20131014git.fc20 has been submitted as an update for Fedora 20.
Comment 19 Fedora Update System 2013-10-30 13:10:51 EDT
python-pylcdsysinfo-0-0.8.20131014git.fc20 has been pushed to the Fedora 20 testing repository.
Comment 20 Fedora Update System 2013-11-10 02:33:27 EST
python-pylcdsysinfo-0-0.8.20131014git.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.